<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__wcm__macros" kind="group">
    <compoundname>group_wcm_macros</compoundname>
    <title>Macros</title>
    <innergroup refid="group__generic__wcm__defines">WCM results/error codes</innergroup>
      <sectiondef kind="define">
      <memberdef id="group__group__wcm__macros_1gad757aff6414a2ebb12dcdea491df9627" kind="define" prot="public" static="no">
        <name>CY_WCM_MAX_SSID_LEN</name>
        <initializer>(32)</initializer>
        <briefdescription>
<para>Max SSID length. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="69" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="69" />
      </memberdef>
      <memberdef id="group__group__wcm__macros_1ga57d06f15bb823cd45d9542c1303f647a" kind="define" prot="public" static="no">
        <name>CY_WCM_MAX_PASSPHRASE_LEN</name>
        <initializer>(64)</initializer>
        <briefdescription>
<para>Max passphrase length. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="70" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="70" />
      </memberdef>
      <memberdef id="group__group__wcm__macros_1gae032a02d61d8a9d68a502ac20591a1d5" kind="define" prot="public" static="no">
        <name>CY_WCM_MAC_ADDR_LEN</name>
        <initializer>(6)</initializer>
        <briefdescription>
<para>MAC address length. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="71" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="71" />
      </memberdef>
      <memberdef id="group__group__wcm__macros_1ga25c78c2899233a91a6e52821fecdd3bf" kind="define" prot="public" static="no">
        <name>CY_WCM_MAX_IE_LENGTH</name>
        <initializer>(3)</initializer>
        <briefdescription>
<para>Maximum Length of Information Element. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="72" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="72" />
      </memberdef>
      <memberdef id="group__group__wcm__macros_1ga4199a1b37dba92f482ff0b9eb406c323" kind="define" prot="public" static="no">
        <name>WEP_ENABLED</name>
        <initializer>0x0001</initializer>
        <briefdescription>
<para>Flag to enable WEP security. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="73" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="73" />
      </memberdef>
      <memberdef id="group__group__wcm__macros_1ga20f0d7118c2d35a688bcdc5b8b0920d9" kind="define" prot="public" static="no">
        <name>TKIP_ENABLED</name>
        <initializer>0x0002</initializer>
        <briefdescription>
<para>Flag to enable TKIP encryption. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="74" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="74" />
      </memberdef>
      <memberdef id="group__group__wcm__macros_1ga577a9dbc615ba145496a41a2035bd615" kind="define" prot="public" static="no">
        <name>AES_ENABLED</name>
        <initializer>0x0004</initializer>
        <briefdescription>
<para>Flag to enable AES encryption. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="75" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="75" />
      </memberdef>
      <memberdef id="group__group__wcm__macros_1ga4d4a4586c264fe8e4acb0bf7169b7b0f" kind="define" prot="public" static="no">
        <name>SHARED_ENABLED</name>
        <initializer>0x00008000</initializer>
        <briefdescription>
<para>Flag to enable shared key security. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="76" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="76" />
      </memberdef>
      <memberdef id="group__group__wcm__macros_1gaa7ccd472bacbd8ee01f31f0f0e2ce3dc" kind="define" prot="public" static="no">
        <name>WPA_SECURITY</name>
        <initializer>0x00200000</initializer>
        <briefdescription>
<para>Flag to enable WPA security. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="77" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="77" />
      </memberdef>
      <memberdef id="group__group__wcm__macros_1ga8875737a0403d2136a69bbc96401cccf" kind="define" prot="public" static="no">
        <name>WPA2_SECURITY</name>
        <initializer>0x00400000</initializer>
        <briefdescription>
<para>Flag to enable WPA2 security. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="78" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="78" />
      </memberdef>
      <memberdef id="group__group__wcm__macros_1gad175824d1581f69f5a725e4c9171aa79" kind="define" prot="public" static="no">
        <name>WPA3_SECURITY</name>
        <initializer>0x01000000</initializer>
        <briefdescription>
<para>Flag to enable WPA3 PSK security. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="79" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="79" />
      </memberdef>
      <memberdef id="group__group__wcm__macros_1gada6d6331053c0f88c63d77ba8d2019c8" kind="define" prot="public" static="no">
        <name>ENTERPRISE_ENABLED</name>
        <initializer>0x02000000</initializer>
        <briefdescription>
<para>Flag to enable enterprise security. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="80" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="80" />
      </memberdef>
      <memberdef id="group__group__wcm__macros_1gaaae7e8a0eb357cae8f130f9099d8e7b8" kind="define" prot="public" static="no">
        <name>WPS_ENABLED</name>
        <initializer>0x10000000</initializer>
        <briefdescription>
<para>Flag to enable WPS security. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="81" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="81" />
      </memberdef>
      <memberdef id="group__group__wcm__macros_1ga9640c064932a3a633a3312b737658f83" kind="define" prot="public" static="no">
        <name>IBSS_ENABLED</name>
        <initializer>0x20000000</initializer>
        <briefdescription>
<para>Flag to enable IBSS mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="82" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="82" />
      </memberdef>
      <memberdef id="group__group__wcm__macros_1gaafdddf85f4d0df08ee3aead815ad7c76" kind="define" prot="public" static="no">
        <name>FBT_ENABLED</name>
        <initializer>0x40000000</initializer>
        <briefdescription>
<para>Flag to enable FBT. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="83" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="83" />
      </memberdef>
      <memberdef id="group__group__wcm__macros_1ga2fd33d6cf6472c7452a22e5988e69516" kind="define" prot="public" static="no">
        <name>CY_WCM_WPS_PIN_LENGTH</name>
        <initializer>(9)</initializer>
        <briefdescription>
<para>WPS password length for PIN mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="86" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="86" />
      </memberdef>
      <memberdef id="group__group__wcm__macros_1gac7494a533045203834447aab9e85b4da" kind="define" prot="public" static="no">
        <name>CY_WCM_MAXIMUM_CALLBACKS_COUNT</name>
        <initializer>(5)</initializer>
        <briefdescription>
<para>Maximum number of callbacks that can be registered with the WCM library. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="89" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="89" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>